---
title: Card payments
slug: apis/payments/cos-card-payments
description: Manage card payments, card onboarding, and transactions via Cross River Card Payments APIs, supporting push/pull payments and foreign exchange.
docTags: 
createdAt: 2024-08-08T13:39:03.292Z
---

:::CtaButton{label="Card payments concepts (New)" docId="y_2uVmzGOChmtEPEO4IPy" openInNewTab="true"}

:::

Use Cross River Card Payment APIs to manage tokens and make payments.

:::hint{type="info"}
[Get started](docId\:Z-MVwOV-p00-xX082NabK) with Cross River APIs.
:::

**GET calls**

- Add query parameters to filter the response the API returns for general GET calls.
- Use [pagination](docId:6EKvQUYWeVh9x4zxmuKlJ) to control the presentation of your results.

# Card

Use Cross River card token APIs to add, activate and search for card tokens.

| Action                                            | API Call                             | Description                                                |
| ------------------------------------------------- | ------------------------------------ | ---------------------------------------------------------- |
| [Card token by ID](docId\:kRmBb3iHaNhpkp-LZuWnz)  | `GET /v1/cardtokens/{id}`            | Retrieves the information for a card token through tokenID |
| [Card token](docId\:rSdKz1VuCBYmhXquY9cyb)        | `GET /v1/cardtokens`                 | Retrieves the information for all card tokens              |
| [Card tokens](docId\:CfF80NPHRpP3BUz2yCqRA)       | `POST /v1/cardtokens`                | Creates a card token                                       |
| [Card activation](docId\:IT4gSuVvqhwTY0S7S85w7)   | `PUT /v1/cardtokens/{id}/activation` | Activates/deactivates a card                               |

# Payments

Use Cross River Card Payments Transaction APIs to push or pull funds to or from a debit card. Use the GET endpoints to find out about a specific transaction or many transactions. The POST calls require a credit card token.&#x20;

| Action                                         | API Call               | Description                                                                     |
| ---------------------------------------------- | ---------------------- | ------------------------------------------------------------------------------- |
| ﻿[Send payments](docId\:c6CjUrm0nl_nOY4oeJ8Gu) | `POST /v1/payments`    | Set the `paymentType` to "push". Sends funds (push) to a specific debit card    |
| [Request funds](docId\:KVpHbesGRkxsFI6YyS8zD)  | `POST /v1/payments`    | Set the `paymentType` to "pull".  Pulls funds from a specific card from a payer |
| [Payments](docId\:MXgVroBUdlKwNkDkjdQCg)       | `GET /v1/payments`     | Returns a list of transactions                                                  |
| [Payments by ID](docId:1XHjAplurDjMikKTX29_G)  | `GET v1/payments/{id}` | Returns transaction details of a specific transaction                           |

# Foreign exchange rates

| Action                                                 | API Call           | Description                                                                               |
| ------------------------------------------------------ | ------------------ | ----------------------------------------------------------------------------------------- |
| [Foreign exchange rate](docId\:c7lRwhp81EmpW2u9lN4i-)  | `POST /v1/fxRates` | For a currency pair, gets updated foreign exchange rate information from the card network |

# Related topics

- [Webhook events: COS Card payments](docId\:wso2E9CMh8zs8PyIjC-7r)&#x20;
- [Error codes: COS Card payments](docId\:i9WcOaYoSIZfkqnhPqQGM)&#x20;

